package com.hfkj.service.group;

import com.hfkj.entity.BsStoreProductCategory;

import java.util.List;
import java.util.Map;

/**
 * @className: BsStoreProductCategoryService
 * @author: HuRui
 * @date: 2023/11/28
 **/
public interface BsStoreProductCategoryService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsStoreProductCategory data);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    BsStoreProductCategory getCategory(Long id);

    /**
     * 根据排序查询分类
     * @param storeId
     * @param sort
     * @return
     */
    BsStoreProductCategory getCategoryBySort(Long storeId,Integer sort);

    /**
     * 查询当前最大的排序序号
     * @param storeId
     * @return
     */
    int getMaxSort(Long storeId);

    /**
     * 排序向上
     * @param id
     */
    void sortUp(Long id);

    /**
     * 排序向下
     * @param id
     */
    void sortDown(Long id);

    /**
     * 删除数据
     * @param id
     */
    void delCategory(Long id);

    /**
     * 查询分类列表
     * @param param
     * @return
     */
    List<BsStoreProductCategory> getCategoryList(Map<String,Object> param);

    /**
     * 查询门店分类及产品缓存
     * @param storeId
     * @param refresh
     * @return
     */
    List<BsStoreProductCategory> getStoreCategoryCache(Long storeId,Boolean refresh);

}
